WebServiceBook/Controllers/AuthenticationController.cs
using System.Web.Mvc;
using System.Web.Security;
using WebServiceBook.Models;

namespace WebServiceBook.Controllers
{
    public class AuthenticationController : Controller
    {
        [AllowAnonymous]
        public ActionResult Login()
        {
            return View();
        }

        [AllowAnonymous]
        public ActionResult DoLogin(UserDetails u)
        {
            VehicleBusinessLayer bal = new VehicleBusinessLayer();
            if (bal.IsValidUser(u))
            {
                FormsAuthentication.SetAuthCookie(u.UserName, false);
                return RedirectToAction("Index", "Main");
            }
            else
            {
                ModelState.AddModelError("CredentialError", "Invalid Username or Password");
                return View("Login");
            }
        }

        public ActionResult Logout()
        {
            FormsAuthentication.SignOut();
            return RedirectToAction("Login");
        }
    }
}

WebServiceBook/Views/Authentication/Login.cshtml
@model WebServiceBook.Models.UserDetails

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Login</title>
</head>
<body>
    <div> 
        @Html.ValidationMessage("CredentialError", new { style = "color:red;" })
        @using (Html.BeginForm("DoLogin", "Authentication", FormMethod.Post))

        {

            @Html.LabelFor(c => c.UserName)

            @Html.TextBoxFor(x => x.UserName)



            <br />

            @Html.LabelFor(c => c.Password)

            @Html.PasswordFor(x => x.Password)

            <br />


            <input type="submit" name="BtnSubmit" value="Login" />

        } 
    </div>
</body>
</html>